slimlock(1)

NAME
slimlock - Unholy Screen Locker

SYNOPSIS
slimlock [-v]

DESCRIPTION
The Frankenstein's monster of screen lockers. Grafting SLiM and slock together leads to blood, tears, and locked screens.

OPTIONS

-v  display version information

CONFIGURATION
Slimlock reads the same configuration files you use for SLiM. It looks in CFGDIR/slim.conf and CFGDIR/slimlock.conf, where CFGDIR is defined when built - usually /etc. The options that are read from slim.conf are hidecursor, current_theme, background_color and background_style, screenshot_cmd, and welcome_msg. See the SLiM docs for more information. slimlock.conf contains the following settings:

dpms_standby_timeout
    number of seconds of inactivity before the screen blanks. Default: 60

dpms_off_timeout
    number of seconds of inactivity before the screen is turned off. Default: 600

wrong_passwd_timeout
    delay in seconds after an incorrect password is entered. Default: 2

passwd_feedback_msg
    message to display after a failed authentication attempt. Default: Authentication failed

passwd_feedback_capslock
    message to display after a failed authentication attempt if the CapsLock is on. Default: Authentication failed (CapsLock is on)

show_username
    1 to show username on themes with single input field; 0 to disable. Default: 1

show_welcome_msg
    1 to show SLiM's welcome message; 0 to disable. Default: 0

tty_lock
    1 to disallow virtual terminals switching; 0 to allow. Default: 1

bell
    1 to enable the bell on authentication failure; 0 to disable. Default: 1

BUGS
Where the theme defines a welcome message or password prompt, slimlock displays them in the wrong place.

Using the same theme as slim assumes the theme is appropriate. Most of the themes out there (including our defaults) put the word "Login" on the panel, which isn't quite right for a screen lock.

To alleviate both of these, you can specify a different theme in CFGDIR/slimlock.conf, which will override the setting in CFGDIR/slim.conf, but you still need to find (or create) a suitable lock theme.

SEE ALSO
slim(1)